import React from 'react'
import {View, Text, ListView, RefreshControl} from 'react-native'

const ds = new ListView.DataSource({
  rowHasChanged: (r1, r2) => {
    return r1.name != r2.name
  }
})

export default StoreList = ({dev, show, list, refresh, getList}) => {
  if(!show) return null
  return (
    <View style={{flex: 1}}>
      <ListView
        refreshControl={<RefreshControl refreshing={refresh} onRefresh={getList} />}
        enableEmptySections={true}
        dataSource={ds.cloneWithRows(list)}
        renderRow={data => {
          return (
            <Text>{data.name}</Text>
          )
        }} />
    </View>
  )
}